OpenGLRaw-1.3.0.0: A raw binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.Rendering.OpenGL.Raw.NV.RegisterCombiners2

Contents

- Functions
- Tokens

Description

All raw functions and tokens from the NV_register_combiners2 extension not already in the OpenGL 3.1 core, see http://www.opengl.org/registry/specs/NV/register_combiners2.txt.

Synopsis

- glCombinerStageParameterfv :: GLenum -> GLenum -> Ptr GLfloat -> IO ()
- glGetCombinerStageParameterfv :: GLenum -> GLenum -> Ptr GLfloat -> IO ()
- gl_PER_STAGE_CONSTANTS :: GLenum
- gl_CONSTANT_COLOR0 :: GLenum
- gl_CONSTANT_COLOR1 :: GLenum
- gl_COMBINER0 :: GLenum
- gl_COMBINER1 :: GLenum
- gl_COMBINER2 :: GLenum
- gl_COMBINER3 :: GLenum
- gl_COMBINER4 :: GLenum
- gl_COMBINER5 :: GLenum
- gl_COMBINER6 :: GLenum
- gl_COMBINER7 :: GLenum

# Functions

glCombinerStageParameterfv :: GLenum -> GLenum -> Ptr GLfloat -> IO ()Source

glGetCombinerStageParameterfv :: GLenum -> GLenum -> Ptr GLfloat -> IO ()Source

# Tokens

gl_PER_STAGE_CONSTANTS :: GLenum Source

gl_CONSTANT_COLOR0 :: GLenum Source

gl_CONSTANT_COLOR1 :: GLenum Source

gl_COMBINER0 :: GLenum Source

gl_COMBINER1 :: GLenum Source

gl_COMBINER2 :: GLenum Source

gl_COMBINER3 :: GLenum Source

gl_COMBINER4 :: GLenum Source

gl_COMBINER5 :: GLenum Source

gl_COMBINER6 :: GLenum Source

gl_COMBINER7 :: GLenum Source